VMTKMESHTONUMPY(1)

NAME
vmtkmeshtonumpy - vmtk script vmtkmeshtonumpy

DESCRIPTION
Automatic piping vmtkMeshToNumpy Parsing options vmtkMeshToNumpy

vmtkMeshToNumpy : Takes a VMTK mesh (VTK Unstructured Grid) object

    nested python dictionary containing numpyarrays specifying Points, PointData, Cells, CellData, and CellPointIds describing connectivity

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-typestrings ReturnCellTypesAsStrings (bool,1); default=1: return a

    mapping of the vtk cell type class names to the cell type object IDs

-structure StructureCellsAsList: enable to return a list of numpy

    arrays where each element is an individual cell. Note: This is a computationally intensive operation which may fill memory, and which will drastically increase disk space used if data is saved. Not recommended for large data sets.

-ofile ArrayDictOutputFileName (str,1): filename for the default

    ArrayDict writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o ArrayDict (dict,1): the output dictionary